//
//  SFDeliciousApiDelegate.h
//  SFDeliciousApi
//
//  Created by Matteo Rattotti on 1/30/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import "SFDeliciousGlobalHeader.h"
#import "SFDeliciousAccountType.h"

@protocol SFDeliciousAPIDelegate

- (void)requestSucceeded:(NSString *)requestIdentifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)requestFailed:(NSString *)requestIdentifier withError:(NSError *)error account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;

- (void)allBookmarksReceived:(NSArray *)bookmarks forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)bookmarksReceived:(NSArray *)bookmarks forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)recentBookmarksReceived:(NSArray *)bookmarks forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)bookmarksReceived:(NSArray *)bookmarks forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)hashesReceived:(NSArray *)bookmarks forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)publicTagsReceived:(NSArray *)tags forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)bundlesReceived:(NSArray *)bundle forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)lastUpdateReceived:(NSArray *)update forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)networkBookmarkReceived:(NSArray *)bookmarks forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)postBookmarkReceived:(NSArray *)postsCode forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)postSuggestionReceived:(NSArray *)suggestions forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)deleteBookmarkReceived:(NSArray *)postsCode forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)bookmarksInfoReceived:(NSArray *)bookmarks forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;
- (void)secrectRSSKeyReceived:(NSArray *) secrectKey forRequest:(NSString *)identifier account:(NSString *) username accountType: (SFDeliciousAccountType) accountType;

- (void) requestTokenReceived: (NSString *) rTokenString forRequest:(NSString *)identifier account:(NSString *) username;
- (void) authorizationTokenReceived: (NSString *) aTokenString forRequest:(NSString *)identifier account:(NSString *) username; 

@end
