//
//  SFOAToken.h
//  testOAuth
//
//  Created by Matteo Rattotti on 10/29/09.
//  Copyright 2009 www.shinyfrog.net. All rights reserved.
//

#import "OAuthConsumer/OAToken.h"


@interface SFOAToken : OAToken {
    NSString *oauth_body;
    NSString *oauth_expires_in;
    NSString *oauth_session_handle;
    NSString *oauth_authorization_expires_in;
    NSString *xoauth_yahoo_guid;
    NSNumber *timestamp;
}

@property(retain) NSString *oauth_body;
@property(retain) NSString *oauth_expires_in;
@property(retain) NSString *oauth_session_handle;
@property(retain) NSString *oauth_authorization_expires_in;
@property(retain) NSString *xoauth_yahoo_guid;
@property(retain) NSNumber *timestamp;

#pragma mark -
#pragma mark Costructor

- (id)initWithYahooHTTPResponseBody:(NSString *)body;
- (id)initWithYahooHTTPResponseBody:(NSString *)body timestamp:(NSNumber *)aTimestamp;
- (id)initWithUserDefaultsUsingUsername:(NSString *)username;

#pragma mark -
#pragma mark Utils methods
- (BOOL) isExpired;
- (NSString *) tokenBodyAndTimestamp;
- (int)storeInUserDefaultsWithUsername:(NSString *)username;

@end
